Skip to main content
GET
/
v1
/
campaigns
/
{campaignId}
Get a campaign
curl --request GET \
  --url https://app.loops.so/api/v1/campaigns/{campaignId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "cln0y4p6r003yl70i1j2k3l4m",
  "name": "Spring announcement",
  "status": "Draft",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:10:00.000Z",
  "emailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "campaignGroupId": "clq3b7s9u007yl70u9v0w1x2y",
  "mailingListId": null,
  "audienceSegmentId": "clr4c8t0v008yl70x3y4z5a6b",
  "audienceFilter": null,
  "scheduling": {
    "method": "schedule",
    "timestamp": "2026-04-01T09:00:00.000Z"
  }
}

Request

Path parameters

campaignId
string
required
The ID of the campaign.

Response

Success

id
string
required
The campaign ID.
name
string
required
The campaign name.
status
string
required
The campaign status. One of Draft, Scheduled, Sending, Sent.
createdAt
string
required
ISO 8601 timestamp for when the campaign was created.
updatedAt
string
required
ISO 8601 timestamp for when the campaign was last updated.
emailMessageId
nullable string
required
The associated email message ID.
campaignGroupId
nullable string
required
The ID of the campaign group this campaign belongs to.
mailingListId
nullable string
required
The ID of the mailing list this campaign sends to, if set.
audienceSegmentId
nullable string
required
The ID of the audience segment this campaign targets, if set.
audienceFilter
nullable object
required
The inline audience filter, if set.
scheduling
object
required
When the campaign is scheduled to send.

Error

A 400 Bad Request is returned if campaignId is invalid. A 404 Not Found is returned if the campaign does not exist. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "cln0y4p6r003yl70i1j2k3l4m",
  "name": "Spring announcement",
  "status": "Draft",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:10:00.000Z",
  "emailMessageId": "cmn5zia4i0017tzli8ric8giv",
  "campaignGroupId": "clq3b7s9u007yl70u9v0w1x2y",
  "mailingListId": null,
  "audienceSegmentId": "clr4c8t0v008yl70x3y4z5a6b",
  "audienceFilter": null,
  "scheduling": {
    "method": "schedule",
    "timestamp": "2026-04-01T09:00:00.000Z"
  }
}
Last modified on June 30, 2026